<?xml version="1.0" encoding="UTF-8"?>

<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<project>
  <extend>../project.xml</extend>
  <pomVersion>3</pomVersion>
  <id>maven-jcoverage-plugin</id>
  <name>Maven JCoverage plugin</name>
  <currentVersion>1.0.4-SNAPSHOT</currentVersion>
  <package>org.apache.maven.jcoveragereport</package>
  <description>This plugin provides coverage analysis of your source-code based on the open-source jcoverage tool.</description>
  <shortDescription>This plugin provides coverage analysis of your source-code based on the open-source jcoverage tool.</shortDescription>
  <url>http://maven.apache.org/reference/plugins/jcoverage/</url>
  <siteDirectory>/www/maven.apache.org/reference/plugins/jcoverage/</siteDirectory>
  <repository>
    <connection>scm:cvs:pserver:anoncvs@cvs.apache.org:/home/cvspublic:maven-plugins/jcoverage/</connection>
    <developerConnection>scm:cvs:ext:${maven.username}@cvs.apache.org:/home/cvs:maven-plugins/jcoverage/</developerConnection>
    <url>http://cvs.apache.org/viewcvs/maven-plugins/jcoverage/</url>
  </repository>
  <issueTrackingUrl>http://jira.codehaus.org/secure/BrowseProject.jspa?id=10348</issueTrackingUrl>
  <versions>
    <version>
      <id>1.0.2</id>
      <name>1.0.2</name>
      <tag>MAVEN_JCOVERAGE_1_0_2</tag>
    </version>
    <version>
      <id>1.0.3</id>
      <name>1.0.3</name>
      <tag>HEAD</tag>
    </version>
    <version>
      <id>1.0.3</id>
      <name>1.0.3</name>
      <tag>MAVEN_JCOVERAGE_1_0_3</tag>
    </version>
  </versions>
  <developers>
    <developer>
      <name>Dominik Dahlem</name>
      <id>dahlemd</id>
      <email>Dominik.Dahlem@cs.tcd.ie</email>
      <organization>Trinity College Dublin, Computer Science Department, Distributed Systems Group</organization>
      <roles>
        <role>Build Engineer, Java Developer</role>
      </roles>
    </developer>
    <developer>
      <name>Emmanuel Venisse</name>
      <id>evenisse</id>
      <email>emmanuel@venisse.net</email>
      <organization/>
      <roles>
        <role>Java Developer</role>
      </roles>
      <timezone>+1</timezone>
    </developer>
  </developers>
  <dependencies>
    <dependency>
      <groupId>jcoverage</groupId>
      <artifactId>jcoverage</artifactId>
      <version>1.0.5</version>
      <properties>
        <classloader>root</classloader>
      </properties>
      <url>http://www.jcoverage.com</url>
    </dependency>
    <dependency>
      <groupId>velocity</groupId>
      <artifactId>velocity</artifactId>
      <version>1.3</version>
      <url>http://jakarta.apache.org/velocity/</url>
    </dependency>
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.8</version>
      <url>http://jakarta.apache.org/log4j/</url>
    </dependency>
    <dependency>
      <groupId>bcel</groupId>
      <artifactId>bcel</artifactId>
      <version>5.1</version>
      <url>http://jakarta.apache.org/bcel/</url>
    </dependency>
    <dependency>
      <groupId>urbanophile</groupId>
      <artifactId>java-getopt</artifactId>
      <version>1.0.9</version>
      <url>http://www.urbanophile.com/arenn/hacking/download.html</url>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <url>http://www.junit.org</url>
    </dependency>
    <dependency>
      <groupId>oro</groupId>
      <artifactId>oro</artifactId>
      <version>2.0.7</version>
      <url>http://jakarta.apache.org/oro/</url>
    </dependency>
    <dependency>
      <groupId>xpp3</groupId>
      <artifactId>xpp3</artifactId>
      <version>1.1.2a</version>
      <url>http://www.extreme.indiana.edu/xgws/xsoap/xpp/</url>
    </dependency>
    <dependency>
      <groupId>xerces</groupId>
      <artifactId>xercesImpl</artifactId>
      <version>2.4.0</version>
      <url>http://xml.apache.org/xerces2-j/index.html</url>
    </dependency>
    <dependency>
      <groupId>xerces</groupId>
      <artifactId>xmlParserAPIs</artifactId>
      <version>2.2.1</version>
      <url>http://xml.apache.org/xerces2-j/index.html</url>
    </dependency>
    <dependency>
      <groupId>commons-jelly</groupId>
      <artifactId>commons-jelly-tags-log</artifactId>
      <version>20030211.142821</version>
    </dependency>
  </dependencies>
  <reports>
    <report>maven-changes-plugin</report>
    <report>maven-changelog-plugin</report>
    <report>maven-file-activity-plugin</report>
    <report>maven-developer-activity-plugin</report>
    <report>maven-license-plugin</report>
  </reports>
</project>
